secure/secure.pug
//- 
//- VARIABLES
//- 
//- power_consumption
//- energy_savings
//- reported_faults
//- num_of_devices
//- 


doctype html
html(lang='en')
	head
		meta(charset='utf-8')
		meta(http-equiv='X-UA-Compatible', content='IE=edge')
		meta(name='viewport', content='width=device-width, initial-scale=1')
		meta(name='description', content='')
		meta(name='author', content='')
		title KNUST Power Saver
		// Bootstrap Core CSS
		link(href='css/bootstrap.min.css', rel='stylesheet')
		// Custom CSS
		link(href='css/sb-admin.css', rel='stylesheet')
		// Morris Charts CSS
		link(href='css/plugins/morris.css', rel='stylesheet')
		// Custom Fonts
		link(href='font-awesome/css/font-awesome.min.css', rel='stylesheet', type='text/css')
		// HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries
		// WARNING: Respond.js doesn't work if you view the page via file://
		//if lt IE 9
			script(src='https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js')
			script(src='https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js')
		// 
		link(rel='stylesheet', type='text/css', href='stylesheets/custom.css')
	body
		#wrapper
			// Navigation
			nav.navbar.navbar-inverse.navbar-fixed-top(role='navigation')
				// Brand and toggle get grouped for better mobile display
				.navbar-header
					button.navbar-toggle(type='button', data-toggle='collapse', data-target='.navbar-ex1-collapse')
						span.sr-only Toggle navigation
						span.icon-bar
						span.icon-bar
						span.icon-bar
					a.navbar-brand(href='/secure') KNUST Power Saver
				// Top Menu Items
				ul.nav.navbar-right.top-nav
					li.dropdown
						a.dropdown-toggle(href='#', data-toggle='dropdown')
							i.fa.fa-user
							|  Administrator 
							b.caret
						ul.dropdown-menu
							li
								a(href='/logout')
									i.fa.fa-fw.fa-power-off
									|  Log Out
				// Sidebar Menu Items - These collapse to the responsive navigation menu on small screens
				.collapse.navbar-collapse.navbar-ex1-collapse
					ul.nav.navbar-nav.side-nav
						li.active
							a(href='/secure')
								i.fa.fa-fw.fa-dashboard
								|  System Overview
						li
							a(href='/secure/asset_management.html')
								i.fa.fa-fw.fa-bar-chart-o
								|  Asset Management
						li
							a(href='/secure/add_device.html')
								i.fa.fa-fw.fa-edit
								|  Add Device
						li
							a(href='/secure/reports.html')
								i.fa.fa-fw.fa-edit
								|  Reports
						li
							a(href='/secure/about.html')
								i.fa.fa-fw.fa-table
								|  About
				// /.navbar-collapse
			#page-wrapper
				.container-fluid
					// Page Heading
					.row
						.col-lg-12
							h1.page-header
								strong General Statistics
					// /.row
					.row
					// /.row
					span
						.col-md-8
							#samuel-width
								.panel.panel-default
									.panel-heading
										h3.panel-title
											i.fa.fa-bar-chart-o.fa-fw
											|  this will be a graph comparing actual power consumtion and power consumption without system
									.panel-body
										#morris-area-chart
					span
						.btn-group-vertical.c-btn
							.col-lg-3.col-md-6
								.panel.panel-new
									.panel-heading
										.row
											.col-xs-3
												i.glyphicon.glyphicon-scale.fa-5x
											.col-xs-9.text-right
												.huge #{power_consumption}kWh
												div Power Consumption/Month
							.col-lg-3.col-md-6
								.panel.panel-new
									.panel-heading
										.row
											.col-xs-3
												i.glyphicon.glyphicon-piggy-bank.fa-5x
											.col-xs-9.text-right
												.huge 	#{energy_savings}kWh
												div Energy Savings/Month
							.col-lg-3.col-md-6
								.panel.panel-new
									.panel-heading
										.row
											.col-xs-3
												i.glyphicon.glyphicon-alert.fa-5x
											.col-xs-9.text-right
												.huge #{reported_faults}
												div Reported Faults
							.col-lg-3.col-md-6
								.panel.panel-new
									.panel-heading
										.row
											.col-xs-3
												i.glyphicon.glyphicon-stats.fa-5x
											.col-xs-9.text-right
												.huge #{num_of_devices}
												div Number of Devices
					// /.row
					div
						br
						br
						br
						br
						br
				// /.row
			// /.container-fluid
		// /#page-wrapper
		// /#wrapper
		// jQuery
		script(src='js/jquery.js')
		// Bootstrap Core JavaScript
		script(src='js/bootstrap.min.js')
		// Morris Charts JavaScript
		script(src='js/plugins/morris/raphael.min.js')
		script(src='js/plugins/morris/morris.min.js')
		script(src='js/plugins/morris/morris-data.js')
		script(src='js/plugins/flot/jquery.flot.js')
		script(src='js/plugins/flot/jquery.flot.tooltip.min.js')
		script(src='js/plugins/flot/jquery.flot.resize.js')
		script(src='js/plugins/flot/jquery.flot.pie.js')
		script(src='js/plugins/flot/flot-data.js')

secure/secure.html
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KNUST Power Saver</title>

    <!-- Bootstrap Core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="css/sb-admin.css" rel="stylesheet">

    <!-- Morris Charts CSS -->
    <link href="css/plugins/morris.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

    <!-- -->
    <link rel="stylesheet" type="text/css" href="stylesheets/custom.css">

</head>

<body>

    <div id="wrapper">

        <!-- Navigation -->
        <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="/secure">KNUST Power Saver</a>
            </div>
            <!-- Top Menu Items -->
            <ul class="nav navbar-right top-nav">
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-user"></i> Administrator <b class="caret"></b></a>
                    <ul class="dropdown-menu">
                        <li>
                            <a href="/logout"><i class="fa fa-fw fa-power-off"></i> Log Out</a>
                        </li>
                    </ul>
                </li>
            </ul>
            <!-- Sidebar Menu Items - These collapse to the responsive navigation menu on small screens -->
            <div class="collapse navbar-collapse navbar-ex1-collapse">
                <ul class="nav navbar-nav side-nav">
                    <li class="active">
                        <a href="/secure"><i class="fa fa-fw fa-dashboard"></i> System Overview</a>
                    </li>
                    <li>
                        <a href="/secure/asset_management.html"><i class="fa fa-fw fa-bar-chart-o"></i> Asset Management</a>
                    </li>
                     <li>
                        <a href="/secure/add_device.html"><i class="fa fa-fw fa-edit"></i> Add Device</a>
                    </li>
                    <li>
                        <a href="/secure/reports.html"><i class="fa fa-fw fa-edit"></i>Reports</a>
                    </li>
                    <li>
                        <a href="/secure/about.html"><i class="fa fa-fw fa-table"></i> About</a>
                    </li>
                   
                </ul>
            </div>
            <!-- /.navbar-collapse -->
        </nav>

        <div id="page-wrapper">

            <div class="container-fluid">

                <!-- Page Heading -->
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header">
                            <strong>General Statistics</strong> 
                        </h1>
                        
                    </div>
                </div>
                <!-- /.row -->

                <div class="row">
                    
                </div>
                <!-- /.row -->

                <span>
                    <div class="col-md-8 ">
                        <div id="samuel-width">
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h3 class="panel-title"><i class="fa fa-bar-chart-o fa-fw"></i> this will be a graph comparing actual power consumtion and power consumption without system</h3>
                                </div>
                                <div class="panel-body">
                                    <div id="morris-area-chart"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </span>

                <span>
                    <div class="btn-group-vertical c-btn">
                        <div class="col-lg-3 col-md-6">
                            <div class="panel panel-new">
                                <div class="panel-heading">
                                    <div class="row">
                                        <div class="col-xs-3">
                                            <i class="glyphicon glyphicon-scale fa-5x"></i>
                                        </div>
                                        <div class="col-xs-9 text-right">
                                            <div class="huge">26</div>
                                            <div>Power Consumption</div>
                                        </div>
                                    </div>
                                </div>
                               
                            </div>
                        </div>
                        <div class="col-lg-3 col-md-6">
                            <div class=" panel panel-new">
                                <div class="panel-heading">
                                    <div class="row">
                                        <div class="col-xs-3">
                                            <i class="glyphicon glyphicon-piggy-bank fa-5x"></i>
                                        </div>
                                        <div class="col-xs-9 text-right">
                                            <div class="huge">12</div>
                                            <div>Energy Savings</div>
                                        </div>
                                    </div>
                                </div>
                               
                            </div>
                        </div>
                        <div class="col-lg-3 col-md-6">
                            <div class="panel panel-new">
                                <div class="panel-heading">
                                    <div class="row">
                                        <div class="col-xs-3">
                                            <i class="glyphicon glyphicon-alert fa-5x"></i>
                                        </div>
                                        <div class="col-xs-9 text-right">
                                            <div class="huge">124</div>
                                            <div>Reported Faults</div>
                                        </div>
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                        <div class="col-lg-3 col-md-6">
                            <div class="panel panel-new">
                                <div class="panel-heading">
                                    <div class="row">
                                        <div class="col-xs-3">
                                            <i class="glyphicon glyphicon-stats fa-5x"></i>
                                        </div>
                                        <div class="col-xs-9 text-right">
                                            <div class="huge">13</div>
                                            <div>Number of Devices</div>
                                        </div>
                                    </div>
                                </div>
                               
                            </div>
                        </div> 
                    </div>
                </span>

                
                <!-- /.row -->

                    <div>
                    <br /> <br />
                     <br /> <br /> <br />                   
                    </div>                 
                   
                </div>
                <!-- /.row -->

            </div>
            <!-- /.container-fluid -->

        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- jQuery -->
    <script src="js/jquery.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="js/bootstrap.min.js"></script>

    <!-- Morris Charts JavaScript -->
    <script src="js/plugins/morris/raphael.min.js"></script>
    <script src="js/plugins/morris/morris.min.js"></script>
    <script src="js/plugins/morris/morris-data.js"></script>

    <script src="js/plugins/flot/jquery.flot.js"></script>
    <script src="js/plugins/flot/jquery.flot.tooltip.min.js"></script>
    <script src="js/plugins/flot/jquery.flot.resize.js"></script>
    <script src="js/plugins/flot/jquery.flot.pie.js"></script>
    <script src="js/plugins/flot/flot-data.js"></script>

</body>

</html>
